#include "brainWidget.h"
#include <iostream>

using namespace std;

brainWidget::brainWidget()
  : QWidget() {
  setAcceptDrops(TRUE);
}


void brainWidget::dragEnterEvent( QDragEnterEvent *e ) {
  // accept Uri drags
  qDebug("in dragEnterEvent");
  if( QUriDrag::canDecode( e ) )
    e->accept();
}

void brainWidget::dropEvent( QDropEvent *e ) {
  // load a file if a path is provided
  QStringList files;
  QStrList strings;
  QUriDrag::decode(e, strings);
  if ( QUriDrag::decodeLocalFiles( e, files )) {
    QStringList::Iterator i = files.begin();
    emit newFilenameDropped(QDir::convertSeparators(*i));
  }
}
